Retrieve all Verification request signers
Roles
Analytics Events
/v2/presentations/certificates/verifier-signersRetrieves all Verification request signers.
Analytic events
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_START
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/presentations/certificates/verifier-signers"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "caType": "mattr", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z", "subjectAlternativeNames": [ { "type": 0, "value": "string" } ] } } ], "nextCursor": "string"}How would you rate this page?
Create a Verification request signer POST
Creates a Verification request signer. - Only available in implementations using unmanaged (external) Verifier root CA certificates. - A maximum of five Verification request signers can be created per tenant. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_START * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_FAIL
Retrieve a Verification request signer GET
Retrieves a Verification request signer. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_START * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_FAIL